Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class AbstractOutboundVariable

    java.lang.Object
      org.directwebremoting.dwrp.AbstractOutboundVariable

All Implemented Interfaces:
  OutboundVariable

Direct Known Subclasses:
  ArrayOutboundVariable, ErrorOutboundVariable, ObjectOutboundVariable, SimpleOutboundVariable

    public abstract class AbstractOutboundVariable

extends java.lang.Object
implements OutboundVariable

A helper class for people that want to implement `OutboundVariable`.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Method Summary
`java.lang.String` | `getAssignCode()`
`java.lang.String` | `getBuildCode()`
`java.lang.String` | `getDeclareCode()`
`OutboundVariable` | `getReferenceVariable()` Get a reference to this OutboundVariable.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDeclareCode

    public java.lang.String getDeclareCode()

  Specified by:
    `getDeclareCode` in interface `OutboundVariable`
  Returns:
    Returns the declareCode

### getBuildCode

    public java.lang.String getBuildCode()

  Specified by:
    `getBuildCode` in interface `OutboundVariable`
  Returns:
    Returns the buildCode.

### getAssignCode

    public java.lang.String getAssignCode()

  Specified by:
    `getAssignCode` in interface `OutboundVariable`
  Returns:
    Returns the assignCode.

### getReferenceVariable

    public OutboundVariable getReferenceVariable()

  Description copied from interface: `OutboundVariable`
  Get a reference to this OutboundVariable. If `this` already is a reference then this method returns `this`, or if not it creates one that does.

  Specified by:
    `getReferenceVariable` in interface `OutboundVariable`
  Returns:
    An OutboundVariable that refers to this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD